SDM Security audit and JAVA

Unanswered Question
Aug 12th, 2010

G'day All,

We have an issue with students attempting to complete a security audit using the Security Device manager (SDM) and JAVA. It will only work using JAVA version jre-6u3-windows-i586-p-s.exe whether SDM is installed on the router or on the workstation. This version is a number of years old.

It will not perform a security audit and just hangs with later versions such as JRE-6u16-windows-i586-s.exe or the latest version jre-6u21-windows-i586-s.exe. Our network requires the latest version of JAVA  for other programs and our ITS department are reluctant to have multiple versions of JAVA on the workstations.

When it does work, a new IE window is opened and I suspect there may be an issue with these later versions of JAVA communicating with IE. It does not work at all with Firefox.

Has anyone else had these issues or have a solution that would enable us to use the latest versions of JAVA?

Does anyone know the meaning of the -P-S designations in the naming conventions of the JAVA executables?

The security audits are required as part of the Cisco Exploration and Security courses with the Cisco Academy.

We appreciate the help.


Dave Leed

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
mirober2 Wed, 08/18/2010 - 18:59

Hi David,

Have you tried an upgrade to a later version of SDM? There are a handful of bugs in SDM related to slow loading/hanging. You may want to give the SDM release notes a read to see if you can find anything that matches up with your issue.

As for the Java naming convention question, I'm not sure of the answer. However, I found this external link which may be what you're looking for (granted this is for JRE 5):

Hope that helps.


thirdquote Sun, 08/22/2010 - 21:22

G'day Mike,

Thank you for your message.

We are using the latest version (2.5). The issue described also arises with any attempt to access the additional services icon. Both of the issues that do not work involve IE8 opening a new window, and I suspect that it is associated with the version of Java and IE8. I am awaiting a response from Cisco.



>>> mirober2 19/08/2010 11:59 am >>>

David Leed,

A new message was posted in the Discussion thread "SDM Security audit and JAVA":

Author : mirober2

Profile :



This Discussion